PETSc version 3.17.4
Fix/Edit manual page

# MatKAIJGetAIJ

Get the AIJ matrix describing the blockwise action of the KAIJ matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatKAIJGetAIJ(Mat A,Mat *B)

Not Collective, but if the KAIJ matrix is parallel, the AIJ matrix is also parallel

### Input Parameter

| A | - the KAIJ matrix

### Output Parameter

| B | - the AIJ matrix

Notes: The reference count on the AIJ matrix is not increased so you should not destroy it.

### See Also

MatCreateKAIJ()

### Level

advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages